
```
cargo build
source <(COMPLETE=zsh target/debug/snow)
```



# Stuff I wanna integrate

* Eval / Check / Lint
  * `deadnix`
  * `nixfmt`
  * `nix-tree`
  * `nix-visualize`

* Diff
  * `nvd`
  * `nix-diff`
  * secrets (list commits affecting secret)

* Secret Management:
  * Generate & Store from expression to pass
  * lazy eval secret decryption and recryption
  * Deploy to ```systemd-creds```

* Custom Activations:
  * local-media for manual transfer
  * reboot-test (reboot with next-boot set, do not mark default)
  * fwupd (perform fwupdmgr upgrade remotely)
  * secureboot-enroll

### Arguments
`buildOn = any of [local, target, delegate=$?]`
`filter = any of [hostname, reverse-fqdn, &label]`
`goal = any of nix-eval $system.config.system.*` TODO: figure out better fitering
